<div class="container">
  <form>
    <fieldset>
      <legend>Seleccione</legend>
      <input
      type="checkbox"
      id="fabox"
      name="boxA"
      value="a"
      >
      <small>Opción A</small>
      <input
      type="checkbox"
      id="fbbox"
      name="boxB"
      value="b"
      >
      <small>Opción B</small>
      <input
      type="checkbox"
      id="feboc"
      name="boxC"
      value="c"
      >
      <small>Opción C</small>
      <input
      type="checkbox"
      id="fdbox"
      name="boxD"
      value="d"
      >
      <small>Opción D</small>
      <input
      type="checkbox"
      id="febox"
      name="boxE"
      value="e"
      ><small>Opción E</small>
    </fieldset>
    <div class="btn">
      <button type="submit" (click)="noSelect = !noSelect">Seleccionar</button>
      <small *ngIf="noSelect" id="noSelect">Debe elegir una opción</small>
    </div>
    <div [ngSwitch]="value" class="info" >
      <small *ngSwitchCase="'a'">Opción A</small>
      <small *ngSwitchCase="'b'">Opción B</small>
      <small *ngSwitchCase="'c'">Opción C</small>
      <small *ngSwitchCase="'d'">Opción D</small>
      <small *ngSwitchCase="'e'">Opción E</small>
      <small *ngSwitchCase="'más'">Solo puede elegir más una opción.</small>
    </div>
  </form>
</div>
<!-- type="checkbox"
id="faceptar"
name="acepto"
required
[(ngModel)]="persona.acepto"
#acepto = "ngModel"
[class.is-invalid]="acepto.invalid && acepto.touched" -->
